Bug 1102113 - [abrt] gnome-font-viewer-3.10.0-1.fc20: _gdk_x11_display_error_event: Process /usr/bin/gnome-font-viewer was killed by signal 5 (SIGTRAP)
Summary: [abrt] gnome-font-viewer-3.10.0-1.fc20: _gdk_x11_display_error_event: Process...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6064cc6809a8e534cea7c9d7601...
: 1101739 1118951 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-28 14:08 UTC by Jorge
Modified: 2015-06-29 20:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:50:59 UTC


Attachments (Terms of Use)
File: backtrace (49.65 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: cgroup (172 bytes, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: core_backtrace (24.68 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: dso_list (9.99 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: environ (1.24 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: maps (49.04 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: open_fds (822 bytes, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
File: var_log_messages (5.69 KB, text/plain)
2014-05-28 14:08 UTC, Jorge
no flags Details
Stacktrace (5.58 KB, text/x-log)
2014-07-10 13:48 UTC, Vadim Rutkovsky
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 720204 None None None Never

Description Jorge 2014-05-28 14:08:31 UTC
Version-Release number of selected component:
gnome-font-viewer-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-font-viewer /run/media/jleon/JRBLTMN/Resp_ASUS/Jorge/Desktop/ITCEDSCR.TTF
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gnome-font-viewer
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2533
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #7 _XEventsQueued at xcb_io.c:364
 #8 XPending at Pending.c:55
 #9 gdk_check_xpending at gdkeventsource.c:266
 #10 gdk_event_source_check at gdkeventsource.c:303
 #11 g_main_context_check at gmain.c:3557
 #13 g_main_context_iteration at gmain.c:3774
 #14 g_application_run at gapplication.c:1635

Comment 1 Jorge 2014-05-28 14:08:35 UTC
Created attachment 900000 [details]
File: backtrace

Comment 2 Jorge 2014-05-28 14:08:37 UTC
Created attachment 900001 [details]
File: cgroup

Comment 3 Jorge 2014-05-28 14:08:39 UTC
Created attachment 900002 [details]
File: core_backtrace

Comment 4 Jorge 2014-05-28 14:08:41 UTC
Created attachment 900003 [details]
File: dso_list

Comment 5 Jorge 2014-05-28 14:08:43 UTC
Created attachment 900004 [details]
File: environ

Comment 6 Jorge 2014-05-28 14:08:44 UTC
Created attachment 900005 [details]
File: limits

Comment 7 Jorge 2014-05-28 14:08:46 UTC
Created attachment 900006 [details]
File: maps

Comment 8 Jorge 2014-05-28 14:08:48 UTC
Created attachment 900007 [details]
File: open_fds

Comment 9 Jorge 2014-05-28 14:08:50 UTC
Created attachment 900009 [details]
File: proc_pid_status

Comment 10 Jorge 2014-05-28 14:08:52 UTC
Created attachment 900010 [details]
File: var_log_messages

Comment 11 汪明衡 2014-06-11 10:08:38 UTC
Another user experienced a similar problem:

Too easy to produce,just open gnome-font-viewer,scroll down,then it crashes.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-font-viewer
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gnome-font-viewer
kernel:         3.14.5-200.fc20.x86_64
package:        gnome-font-viewer-3.10.0-1.fc20
reason:         gnome-font-viewer killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Rui Matos 2014-06-11 13:06:13 UTC
I can't reproduce here. Perhaps the crash only happens with a specific font file. For instance, the original reporter opened gnome-font-viewer with a specific font file called ITCEDSCR.TTF . Can you attach that file or any other that you find to cause a crash?

Comment 13 汪明衡 2014-06-11 14:44:24 UTC
(In reply to Rui Matos from comment #12)
> I can't reproduce here. Perhaps the crash only happens with a specific font
> file. For instance, the original reporter opened gnome-font-viewer with a
> specific font file called ITCEDSCR.TTF . Can you attach that file or any
> other that you find to cause a crash?

I can't reproduce this either. I rebooted my laptop and tried several times,but it never crashes again. Interestingly at the only time it crashed,it showed fonts instantly,for the rest of my tries it hangs first(app behaves normally,just showing a blank window),and then shows fonts. Actually during the time I'm unable to do anything like 'scroll down'. Maybe that case I've experienced is rare or very hard to reproduce,so if you wanna diagnose this problem in more detail,I'm sorry I may not be able to help more.

Comment 14 Rui Matos 2014-06-11 15:10:15 UTC
try deleting your thumbnails cache before running it. Should be in ~/.cache/thumbnails

Comment 15 汪明衡 2014-06-12 09:07:35 UTC
(In reply to Rui Matos from comment #14)
> try deleting your thumbnails cache before running it. Should be in
> ~/.cache/thumbnails

Sorry for late response,I've been preparing exams these days. I then tried renaming that folder,but still couldn't reproduce. Well,I recall that the reason why I opened font viewer is that I had just finished installed some fonts as dependency for some texlive-* packages,and I wanted to figure out which one looks enjoyful for Chinese. Or do you think if this may contribute to the problem? Say,a certain font right after installation could have effect on this?

Comment 16 Rui Matos 2014-06-12 09:41:07 UTC
(In reply to 汪明衡 from comment #15)
> Sorry for late response,I've been preparing exams these days. I then tried
> renaming that folder,but still couldn't reproduce. Well,I recall that the
> reason why I opened font viewer is that I had just finished installed some
> fonts as dependency for some texlive-* packages,and I wanted to figure out

Can you post here which packages are those fonts in? Perhaps by looking at your /var/log/yum.log

Comment 17 汪明衡 2014-06-12 09:52:26 UTC
(In reply to Rui Matos from comment #16)
> Can you post here which packages are those fonts in? Perhaps by looking at
> your /var/log/yum.log

Do these make sense?These are all I've got.

Jun 11 15:54:41 Erased: rhythmbox-3.0.3-1.fc20.x86_64
Jun 11 16:10:23 Installed: latex2html-2012-4.fc20.noarch
Jun 11 16:31:29 Installed: 3:texlive-dejavu-svn31771.2.33-5.fc20.noarch
Jun 11 18:15:15 Installed: rpmrebuild-2.11-1.fc20.noarch
Jun 11 18:20:14 Installed: master-pdf-editor-1.9.25-2.x86_64
Jun 11 19:34:42 Installed: 3:texlive-translations-svn31800.1.1a-5.fc20.noarch
Jun 11 19:34:43 Installed: 3:texlive-pgfopts-svn23320.2.1-5.fc20.noarch
Jun 11 19:34:43 Installed: 3:texlive-idxcmds-svn31557.0.2a-5.fc20.noarch
Jun 11 19:34:44 Installed: 3:texlive-fnpct-svn32474.0.4a-5.fc20.noarch
Jun 11 19:34:45 Installed: 3:texlive-mweights-svn31268.0-5.fc20.noarch
Jun 11 19:34:45 Installed: 3:texlive-xpatch-svn27897.0.2-5.fc20.noarch
Jun 11 19:34:46 Installed: 3:texlive-imakeidx-svn31166.1.3a-5.fc20.noarch
Jun 11 19:34:46 Installed: 3:texlive-eepic-svn15878.1.1e-5.fc20.noarch
Jun 11 19:34:47 Installed: 3:texlive-logreq-svn19640.1.0-5.fc20.noarch
Jun 11 19:34:48 Installed: 3:texlive-biblatex-svn32245.2.8a-5.fc20.noarch
Jun 11 19:34:48 Installed: 3:texlive-kantlipsum-svn27994.0.5-5.fc20.noarch
Jun 11 19:34:49 Installed: 3:texlive-ntheorem-svn27609.1.31-5.fc20.noarch
Jun 11 19:34:50 Installed: 3:texlive-collectbox-svn26557.0-5.fc20.noarch
Jun 11 19:34:50 Installed: 3:texlive-needspace-svn29601.1.3d-5.fc20.noarch
Jun 11 19:34:51 Installed: 3:texlive-fontaxes-svn24880.1.0c-5.fc20.noarch
Jun 11 19:34:55 Installed: 3:texlive-libertine-svn31928.5.3.0-5.fc20.noarch
Jun 11 19:34:56 Installed: 3:texlive-ifoddpage-svn23979.0-5.fc20.noarch
Jun 11 19:34:56 Installed: 3:texlive-adjustbox-svn26555.0-5.fc20.noarch
Jun 11 19:34:57 Installed: 3:texlive-lipsum-svn22098.v1.2-5.fc20.noarch
Jun 11 19:34:58 Installed: 3:texlive-mdframed-svn31075.1.9b-5.fc20.noarch
Jun 11 19:34:59 Installed: 3:texlive-superiors-svn31943.1.03-5.fc20.noarch
Jun 11 19:35:00 Installed: 3:texlive-cnltx-svn32212.0.9-5.fc20.noarch
Jun 11 19:35:00 Installed: 3:texlive-exsheets-svn32363.0.12a-5.fc20.noarch
Jun 11 20:54:49 Installed: 3:texlive-skull-svn25608.0.1-5.fc20.noarch
Jun 11 21:13:39 Installed: 3:texlive-slantsc-svn25007.2.11-5.fc20.noarch
Jun 11 21:13:41 Installed: 3:texlive-droid-svn23912.2.1-5.fc20.noarch

Comment 18 James Wrigley 2014-06-28 04:24:34 UTC
Another user experienced a similar problem:

The error ocurred a few seconds after I started up the viewer. No idea what caused it since it's been working fine since then.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-font-viewer
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/gnome-font-viewer
kernel:         3.14.8-200.fc20.x86_64
package:        gnome-font-viewer-3.10.0-1.fc20
reason:         gnome-font-viewer killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Vadim Rutkovsky 2014-07-10 12:27:13 UTC
Happens randomly on startup with no font specified.

Reproduced on both Rawhide and latest code from master

Comment 20 Rui Matos 2014-07-10 13:37:41 UTC
(In reply to Vadim Rutkovsky from comment #19)
> Happens randomly on startup with no font specified.
> 
> Reproduced on both Rawhide and latest code from master

I still can't reproduce here.

Can you provide a stacktrace? Please set the environment variable GDK_SYNCHRONIZE=1 before capturing it since the crash seems to be an X error.

Comment 21 Vadim Rutkovsky 2014-07-10 13:48:09 UTC
Created attachment 917084 [details]
Stacktrace

(In reply to Rui Matos from comment #20)
> (In reply to Vadim Rutkovsky from comment #19)
> > Happens randomly on startup with no font specified.
> > 
> > Reproduced on both Rawhide and latest code from master
> 
> I still can't reproduce here.
> 
> Can you provide a stacktrace? Please set the environment variable
> GDK_SYNCHRONIZE=1 before capturing it since the crash seems to be an X error.

See attached stacktrace and console output.

I'm running gnome-font-viewer-3.12.0-2.fc21.x86_64, though afaik it should be the same for 3.10 also

Comment 22 Rui Matos 2014-07-10 17:39:34 UTC
Can you try the patch in the upstream bug? I still can't reproduce :-(

Comment 23 Rui Matos 2014-07-12 15:07:34 UTC
*** Bug 1101739 has been marked as a duplicate of this bug. ***

Comment 24 Rui Matos 2014-07-12 15:08:27 UTC
*** Bug 1118951 has been marked as a duplicate of this bug. ***

Comment 25 Fedora End Of Life 2015-05-29 11:58:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2015-06-29 20:50:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.